import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mkuna_bamantra/mkuna_bamantra.dart';

void main() {
  const MethodChannel channel = MethodChannel('mkuna_bamantra');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MkunaBamantra.platformVersion, '42');
  });
}
